From 7c69a78548c1b07e2a1b8ac176b21a55021b919c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Tom=C3=A1=C5=A1=20Cerha?= <t.cerha@gmail.com>
Date: Tue, 21 Jun 2022 12:43:45 +0200
Subject: [PATCH 2/3] Respect NXPROXY_BINARY also on non-Windows systems

---
 x2go/backends/proxy/nx3.py | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/x2go/backends/proxy/nx3.py b/x2go/backends/proxy/nx3.py
index 03cb66b..5777d0e 100644
--- a/x2go/backends/proxy/nx3.py
+++ b/x2go/backends/proxy/nx3.py
@@ -66,6 +66,8 @@ class X2GoProxy(base.X2GoProxy):
                 if os.path.exists(_nxproxy_cmd):
                     break
             self.PROXY_CMD = _nxproxy_cmd
+        elif 'NXPROXY_BINARY' in os.environ:
+            self.PROXY_CMD = os.environ['NXPROXY_BINARY']
         else:
             self.PROXY_CMD = "/usr/bin/nxproxy"
         self.PROXY_ENV.update({
-- 
2.33.0

